# any key

## Images

| Front                                    | Back                                   |
| ---------------------------------------- | -------------------------------------- |
| ![Front of anykey pcb](images/front.png) | ![Back of anykey pcb](images/back.png) |

## Panelization

The following command was used to generate the 2x1 panel of anykeys in `panels/anykey-x2.kicad_pcb`:

```sh
kikit panelize grid --tolerance 10 --space 3 --gridsize 1 2 --tabwidth 3 --tabheight 3 --htabs 0 --vtabs 1 --mousebites 0.3 0.6 -0.1 --radius 0.8 --railsTb 5 --fiducials 10 2.5 1 2 --tooling 5 2.5 1.5 --copperfill anykey.kicad_pcb panels/anykey-x2.kicad_pcb
```

## Stencil

[KiKit](https://github.com/yaqwsx/KiKit) was used to generate the 3d-printable stencils in `stencil/`:

```sh
kikit stencil createprinted --pcbthickness 1.6 --thickness 0.15 --cutout 'C1,C2,C3,C4,C5,C6,C7,U1,D1,R1' panels/anykey-x2.kicad_pcb stencil/
```

The gerber files for laser-cut steel stencils were generated like this:

```sh
kikit stencil create --jigsize 60 60 --pcbthickness 1.6 --cutout 'C1,C2,C3,C4,C5,C6,C7,U1,D1,R1' panels/anykey-x2.kicad_pcb stencil/
```

Note that currently (2020-11-03) the `--cutout` option is only available on `master`.

## Documents

### STM32 reference manual

https://www.st.com/resource/en/reference_manual/dm00031936-stm32f0x1stm32f0x2stm32f0x8-advanced-armbased-32bit-mcus-stmicroelectronics.pdf

### STM32F072CBT6

https://datasheet.lcsc.com/szlcsc/1811172344_STMicroelectronics-STM32F072CBT6_C81720.pdf

### ST AN2606

https://www.st.com/resource/en/application_note/cd00167594-stm32-microcontroller-system-memory-boot-mode-stmicroelectronics.pdf

### ST AN4080

https://www.st.com/resource/en/application_note/dm00051986-getting-started-with-stm32f0x1x2x8-hardware-development-stmicroelectronics.pdf

### ST UM1606

https://www.st.com/resource/en/user_manual/dm00075710-stmtouch-driver-user-manual--stmicroelectronics.pdf

### STMTouch library

https://www.st.com/resource/en/data_brief/32f0-touch-lib.pdf

### MEIHUA MHPA1515RGBDT

https://datasheet.lcsc.com/szlcsc/1907221506_MEIHUA-MHPA1515RGBDT_C404281.pdf

### ST AN4312

https://www.st.com/resource/en/application_note/dm00087990-design-with-surface-sensors-for-touch-sensing-applications-on-mcus-stmicroelectronics.pdf

### Torex Semicon XC6206P332MR

https://datasheet.lcsc.com/szlcsc/Torex-Semicon-XC6206P332MR_C5446.pdf
